Package org.apache.sysds.runtime.controlprogram.paramserv.rpc

# Class PSRpcObject

java.lang.Object
org.apache.sysds.runtime.controlprogram.paramserv.rpc.PSRpcObject

Direct Known Subclasses:
  `PSRpcCall`, `PSRpcResponse`

public abstract class PSRpcObject extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`PULL`
`static final int`
`PUSH`

## Constructor Summary

Constructors
Constructor
Description
`PSRpcObject()`

## Method Summary

Modifier and Type
Method
Description
`abstract void`
`deserialize(ByteBuffer buffer)`
`abstract ByteBuffer`
`serialize()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PUSH

public static final int PUSH

See Also:
  - Constant Field Values

### PULL

public static final int PULL

See Also:
  - Constant Field Values

## Constructor Details

### PSRpcObject

public PSRpcObject()

## Method Details

### deserialize

public abstract void deserialize(ByteBuffer buffer) throws IOException

Throws:
  `IOException`

### serialize

public abstract ByteBuffer serialize() throws IOException

Throws:
  `IOException`